Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command.configuration.impl
Class FaceIconAttributeParser

    java.lang.Object
      com.pietschy.command.configuration.impl.FaceAttributeParser
          com.pietschy.command.configuration.impl.InheritedAttributeParser
              com.pietschy.command.configuration.impl.FaceIconAttributeParser

     class FaceIconAttributeParser

extends InheritedAttributeParser

Parser for Face icons. This parser handles all the icons defined for faces.

Field Summary
`(package private) java.util.regex.Pattern` | `pattern`

Constructor Summary
`FaceIconAttributeParser()` Creates a new instance.

Method Summary
`(package private) IconFactory` | `getFactory(java.lang.String name)` Gets the factory with the specified name.
`(package private) javax.swing.Icon` | `invokeFactory(java.lang.String factoryName, java.lang.String propertyName, java.lang.String parameterString, ExceptionFactory factory)` Invokes the icon factory
`protected java.lang.Object` | `parseValue(java.lang.String propertyName, java.lang.String value, ExceptionFactory factory)` Parses the specified icon property and updates the specified face.

Methods inherited from class com.pietschy.command.configuration.impl.InheritedAttributeParser
`parseEmptyImpl, parseImpl`

Methods inherited from class com.pietschy.command.configuration.impl.FaceAttributeParser
`getProperties, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pattern

    java.util.regex.Pattern pattern

Constructor Detail

### FaceIconAttributeParser

    public FaceIconAttributeParser()

  Creates a new instance.

Method Detail

### parseValue

    protected java.lang.Object parseValue(java.lang.String propertyName,
                                          java.lang.String value,
                                          ExceptionFactory factory)
                                   throws java.lang.Exception

  Parses the specified icon property and updates the specified face.

  Specified by:
    `parseValue` in class `InheritedAttributeParser`
  Parameters:
    `propertyName` - the icon property name.
    `value` - the value.
    `factory` - the exception factory.
  Returns:
    the icon represented by the value.
  Throws:
    `java.lang.Exception` - if there was an error parsing the property.

### invokeFactory

    javax.swing.Icon invokeFactory(java.lang.String factoryName,
                                   java.lang.String propertyName,
                                   java.lang.String parameterString,
                                   ExceptionFactory factory)
                             throws ParseException

  Invokes the icon factory

  Parameters:
    `factoryName` - the factory type to use.
    `propertyName` - the icon property name.
    `parameterString` - the icon value
    `factory` - the exception factory to use.
  Returns:
    the icon return by the factory with the registered name.
  Throws:
    `ParseException` - if there was an error invoking the factory.

### getFactory

    IconFactory getFactory(java.lang.String name)

  Gets the factory with the specified name.

  Parameters:
    `name` - the factory name.
  Returns:
    the factory with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch